+ Responder ao Tópico



  1. #1
    serhumano
    Eu to tentando instalar um RPM.. mas ta dando o seguinte erro:

    root@cable:/rafael/Programas/Yahoo# rpm -i rh9.ymessenger-1.0.4-1.i386.rpm
    error: Failed dependencies:
    /bin/sh is needed by ymessenger-1.0.4-1
    gdk-pixbuf >= 0.8.0 is needed by ymessenger-1.0.4-1
    libX11.so.6 is needed by ymessenger-1.0.4-1
    libXext.so.6 is needed by ymessenger-1.0.4-1
    libXi.so.6 is needed by ymessenger-1.0.4-1
    libXmu.so.6 is needed by ymessenger-1.0.4-1
    libc.so.6 is needed by ymessenger-1.0.4-1
    libc.so.6(GLIBC_2.0) is needed by ymessenger-1.0.4-1
    libc.so.6(GLIBC_2.1) is needed by ymessenger-1.0.4-1
    libc.so.6(GLIBC_2.1.3) is needed by ymessenger-1.0.4-1
    libc.so.6(GLIBC_2.3) is needed by ymessenger-1.0.4-1
    libdl.so.2 is needed by ymessenger-1.0.4-1
    libgdk-1.2.so.0 is needed by ymessenger-1.0.4-1
    libgdk_pixbuf.so.2 is needed by ymessenger-1.0.4-1
    libglib-1.2.so.0 is needed by ymessenger-1.0.4-1
    libgmodule-1.2.so.0 is needed by ymessenger-1.0.4-1
    libgtk-1.2.so.0 is needed by ymessenger-1.0.4-1
    libm.so.6 is needed by ymessenger-1.0.4-1


    oq faço???[/u]

  2. #2
    gmlinux
    Como o slack não usa rpm por default, ,mesmo que as dependências estejam satisfeitas, elas não estaram no banco do rpm, logo a mensagem era de se esperar.
    A primeira coisa que recomendaria a vc seria usar pacotes para a sua distro, no caso o slack, evite usar pacotes de outras distros, ou, até mesmo de outras versões da distro.
    Mais, se vc realmente quiser instalar o pacote, use a opção --nodeps do rpm (gambiarra), existe ainda a possibilidade de executar rpm2tgz ou rpm2targz (equivalentes) e instalar o tgz criado.
    Os seguintes problemas poderam ocorrer neste caso:
    Substituições indevidas de arquivo
    O programa não rodar por problemas de versões de libs
    O programa ficar instável

    Em suma, faça por conta e risco






Tópicos Similares

  1. SATA VIA VT8237 E RAID VT6410 no Slackware 10
    Por marcfee no fórum Sistemas Operacionais
    Respostas: 4
    Último Post: 10-08-2004, 07:25
  2. RAID via softaware no SLACKWARE 10
    Por marcfee no fórum Servidores de Rede
    Respostas: 1
    Último Post: 06-08-2004, 10:14
  3. squid no slackware 10
    Por quecosuix no fórum Servidores de Rede
    Respostas: 2
    Último Post: 30-07-2004, 14:09
  4. Como configurar o X no Slackware 10???
    Por no fórum Servidores de Rede
    Respostas: 1
    Último Post: 30-06-2004, 14:40
  5. Como configurar a ADSL no Slackware 10???
    Por no fórum Servidores de Rede
    Respostas: 0
    Último Post: 30-06-2004, 14:39

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L